/*
 * Copyright Blue Analysis @ 2007
 */

using System;
using Acid_Library;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace Acid_Demo
{
	/// <summary>
	/// Description of MainForm.
	/// </summary>

	public partial class MainForm
	{
		public AcidParser MyParser;
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm());
		}
		
		public MainForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			
			//Initialize The Math Parser
			MyParser = new AcidParser("Demo", "None");

			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		void CalculateButtonClick(object sender, System.EventArgs e)
		{
			//Calcualte result when user presses the buttton.
			OutputText.Text = MyParser.ParseSimple(FormulaText.Text);
		}
		
		void MainFormLoad(object sender, System.EventArgs e)
		{
			
		}
	}
}
